BEGIN;
CREATE SEQUENCE wt_picofdaycat_id_seq;
CREATE TABLE wt_picofdaycat (
  id INT4 DEFAULT nextval('wt_picofdaycat_id_seq'),
  name varchar(30) NOT NULL DEFAULT '',
  description text,
  PRIMARY KEY  (id)
);
INSERT INTO wt_picofdaycat VALUES (1,'General','Some general pictures');
INSERT INTO wt_picofdaycat VALUES (2,'Work','Pictures taken at work');
CREATE SEQUENCE wt_picofday_id_seq;
CREATE TABLE wt_picofday (
  id INT4 DEFAULT nextval('wt_picofday_id_seq'),
  category INT4  NOT NULL DEFAULT '0',
  userid INT4  NOT NULL DEFAULT '0',
  small_picture varchar(40) NOT NULL DEFAULT 'none',
  big_picture varchar(40) NOT NULL DEFAULT 'none',
  description varchar(40) DEFAULT NULL,
  full_description text,
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (id)
);
INSERT INTO wt_picofday VALUES (1,1,1,'anothercat_s.jpg','anothercat_b.jpg','A cat','',86,12);
INSERT INTO wt_picofday VALUES (2,1,1,'flower_s.jpg','flower_b.jpg','flower','Trying to take a picture without shaking too much.',230,51);
INSERT INTO wt_picofday VALUES (3,1,1,'mycat_s.jpg','mycat_b.jpg','This is my cat','The cat was in the middle of the picture, but it run away at the shot.',424,2);
INSERT INTO wt_picofday VALUES (4,2,1,'mydesk_s.jpg','mydesk_b.jpg','My desk at office','This is my desk at my office. Well organized, right?',588,5);
INSERT INTO wt_picofday VALUES (5,2,1,'keyboard_s.jpg','keyboard_b.jpg','Point of view','',7,1);
CREATE TABLE wt_picofdaysel (
  DATE date NOT NULL DEFAULT '0001-01-01',
  picture_id INT4  NOT NULL DEFAULT '0',
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (date)
);
CREATE INDEX ClickInd_wt_picofday_index ON wt_picofday (clicks);
CREATE INDEX picture_id_wt_picofdaysel_index ON wt_picofdaysel (picture_id);
CREATE INDEX name_wt_picofdaycat_index ON wt_picofdaycat (name);
SELECT SETVAL('wt_picofday_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from wt_picofday));
SELECT SETVAL('wt_picofdaycat_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from wt_picofdaycat));
COMMIT;
